/** Key value should be the same here */
export declare enum Integration {
    reactNative = "reactNative",
    flutter = "flutter",
    ios = "ios",
    android = "android",
    cordova = "cordova",
    angular = "angular",
    electron = "electron",
    nextjs = "nextjs",
    nuxt = "nuxt",
    remix = "remix",
    sveltekit = "sveltekit",
    sourcemaps = "sourcemaps"
}
/** Key value should be the same here */
export declare enum Platform {
    ios = "ios",
    android = "android"
}
export declare function getPlatformChoices(): Array<{
    checked: boolean;
    name: string;
    value: string;
}>;
export declare function getPlatformDescription(type: string): string;
export declare function getIntegrationDescription(type: string): string;
export declare function mapIntegrationToPlatform(type: string): string | undefined;
type IntegrationChoice = {
    name: string;
    value: string;
};
export declare function getIntegrationChoices(): IntegrationChoice[];
export interface Args {
    url: string;
    debug: boolean;
    uninstall: boolean;
    integration: Integration;
    platform: Platform[];
    skipConnect: boolean;
    quiet: boolean;
    signup: boolean;
    promoCode?: string;
    disableTelemetry?: boolean;
    comingFrom?: string;
    ignoreGitChanges?: boolean;
    xcodeProjectDir?: string;
}
export declare const DEFAULT_URL = "https://sentry.io/";
export {};
