type PackageDotJson = {
    dependencies?: Record<string, string>;
    devDependencies?: Record<string, string>;
};
export declare function checkPackageVersion(appPackage: PackageDotJson, packageName: string, acceptableVersions: string, canBeLatest: boolean): boolean;
/**
 * Determines if the passed `package.json` object has the passed package installed.
 *
 * @param appPackage The `package.json` object
 * @param packageName The name of the package to check for
 *
 * @returns `true` if the package is installed, `false` otherwise
 */
export declare function hasPackageInstalled(appPackage: PackageDotJson, packageName: string): boolean;
export {};
