import type { Answers } from 'inquirer';
import { BaseStep } from './BaseStep';
type Project = {
    id: string;
    slug: string;
    organization?: {
        name: string;
        slug: string;
    };
    keys: {
        dsn: {
            public: string;
            private: string;
        };
    }[];
};
type Wizard = {
    projects: Project[];
    apiKeys: {
        token: string;
    };
};
type Config = {
    organization?: {
        slug?: string | null;
    };
    project?: {
        id?: string | null;
        slug?: string | null;
    };
    dsn?: {
        public?: string | null;
        private?: string | null;
    };
    auth?: {
        token?: string | null;
    };
};
export declare class SentryProjectSelector extends BaseStep {
    emit(answers: Answers & {
        wizard?: Wizard;
    }): Promise<{
        config?: Config;
    }>;
}
export {};
