"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Welcome = void 0;
const Logging_1 = require("../Helper/Logging");
const BaseStep_1 = require("./BaseStep");
const chalk_1 = __importDefault(require("chalk"));
class Welcome extends BaseStep_1.BaseStep {
    static _didShow = false;
    // eslint-disable-next-line @typescript-eslint/require-await
    async emit(_answers) {
        if (Welcome._didShow) {
            return {};
        }
        if (this._argv.uninstall === false) {
            (0, Logging_1.green)('Sentry Wizard will help you to configure your project');
            (0, Logging_1.dim)(`This wizard sends telemetry data and crash reports to Sentry. This helps us improve the Wizard. You can turn telemetry off at any time by running sentry-wizard ${chalk_1.default.cyan('--disable-telemetry')}.`);
            (0, Logging_1.dim)('Thank you for using Sentry :)');
        }
        Welcome._didShow = true;
        return {};
    }
}
exports.Welcome = Welcome;
//# sourceMappingURL=Welcome.js.map