"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const Env_1 = require("../Helper/Env");
(0, vitest_1.describe)('read-env', () => {
    (0, vitest_1.test)('transform', () => {
        process.env.SENTRY_WIZARD_DEBUG = 'true';
        process.env.SENTRY_WIZARD_UNINSTALL = 'false';
        process.env.SENTRY_WIZARD_SKIP_CONNECT = 'true';
        process.env.SENTRY_WIZARD_QUIET = 'true';
        process.env.SENTRY_WIZARD_INTEGRATION = 'reactNative,electron';
        process.env.SENTRY_WIZARD_PLATFORM = 'ios,android';
        process.env.SENTRY_WIZARD_URL = 'https://sentry.io';
        (0, vitest_1.expect)((0, Env_1.readEnvironment)()).toEqual({
            debug: true,
            integration: 'reactNative,electron',
            platform: 'ios,android',
            quiet: true,
            skipConnect: true,
            uninstall: false,
            url: 'https://sentry.io',
        });
    });
});
//# sourceMappingURL=Env.js.map