import { type SemVer } from 'semver';
import { type PackageDotJson } from '../utils/package-json';
import { type PackageManager } from '../utils/package-manager';
import { type DeploymentPlatform } from './types';
export declare function getNuxtConfig(): Promise<string>;
export declare function askDeploymentPlatform(): Promise<DeploymentPlatform | symbol>;
export declare function addSDKModule(config: string, options: {
    org: string;
    project: string;
    url: string;
    selfHosted: boolean;
}, deploymentPlatform: DeploymentPlatform | symbol): Promise<void>;
export declare function createConfigFiles(dsn: string): Promise<void>;
export declare function addNuxtOverrides(packageJson: PackageDotJson, packageManager: PackageManager, nuxtMinVer: SemVer | null, forceInstall?: boolean): Promise<void>;
export declare function confirmReadImportDocs(deploymentPlatform: DeploymentPlatform | symbol): Promise<void>;
