"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findCustomExpressServerImplementation = void 0;
const magicast_1 = require("magicast");
const fs = __importStar(require("fs"));
const ast_utils_1 = require("../../utils/ast-utils");
// Try to find the Express server implementation that contains `createRequestHandler` from `@remix-run/express`
async function findCustomExpressServerImplementation() {
    const possiblePaths = [
        'server',
        'server/index',
        'app/server',
        'app/server/index',
    ];
    for (const filePath of possiblePaths) {
        const filename = (0, ast_utils_1.findFile)(filePath);
        if (!filename) {
            continue;
        }
        const fileStat = fs.statSync(filename);
        if (!fileStat.isFile()) {
            continue;
        }
        const fileMod = await (0, magicast_1.loadFile)(filename);
        const createRequestHandlerImport = fileMod.imports.$items.find((imp) => imp.from === '@remix-run/express' &&
            imp.imported === 'createRequestHandler');
        if (createRequestHandlerImport) {
            return filename;
        }
    }
    return null;
}
exports.findCustomExpressServerImplementation = findCustomExpressServerImplementation;
//# sourceMappingURL=express-server.js.map