import { type Platform } from '../lib/Constants';
type WizardIntegration = 'angular' | 'reactNative' | 'flutter' | 'ios' | 'android' | 'cordova' | 'electron' | 'nextjs' | 'nuxt' | 'remix' | 'sveltekit' | 'sourcemaps';
type Args = {
    integration?: WizardIntegration;
    uninstall: boolean;
    signup: boolean;
    skipConnect: boolean;
    debug: boolean;
    quiet: boolean;
    disableTelemetry: boolean;
    promoCode?: string;
    preSelectedProject?: {
        authToken: string;
        selfHosted: boolean;
        dsn: string;
        projectId: string;
        projectSlug: string;
        projectName: string;
        orgId: string;
        orgName: string;
        orgSlug: string;
    };
    url?: string;
    platform?: Platform[];
    org?: string;
    project?: string;
    saas?: boolean;
    forceInstall?: boolean;
    comingFrom?: string;
    ignoreGitChanges?: boolean;
    xcodeProjectDir?: string;
};
export declare function run(argv: Args): Promise<void>;
export {};
