"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.configureCRASourcemapGenerationFlow = void 0;
// @ts-expect-error - clack is ESM and TS complains about that. It works though
const prompts_1 = __importDefault(require("@clack/prompts"));
const clack_1 = require("../../utils/clack");
async function configureCRASourcemapGenerationFlow() {
    await (0, clack_1.abortIfCancelled)(prompts_1.default.select({
        message: `Verify that you are generating source maps when building your React app.\nGenerally this should already happen unless you set the GENERATE_SOURCEMAPS environment variable to false.`,
        options: [
            {
                label: 'I checked!',
                hint: 'My build output folder contains .js.map files after a build.',
                value: true,
            },
        ],
        initialValue: true,
    }));
}
exports.configureCRASourcemapGenerationFlow = configureCRASourcemapGenerationFlow;
//# sourceMappingURL=create-react-app.js.map