"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.findFilesWithExtension = void 0;
const fs = __importStar(require("fs"));
const debug_1 = require("../utils/debug");
function findFilesWithExtension(dir, extension) {
    (0, debug_1.debug)(`Searching for files with extension: ${extension} at path: ${dir}`);
    const files = fs.readdirSync(dir);
    (0, debug_1.debug)(`Found ${files.length} files in ${dir}`);
    const found = files.filter((file) => file.endsWith(extension));
    (0, debug_1.debug)(`Found ${found.length} files with extension ${extension}`);
    found.forEach((file) => (0, debug_1.debug)(`  ${file}`));
    return found;
}
exports.findFilesWithExtension = findFilesWithExtension;
//# sourceMappingURL=find-files-with-extension.js.map