export interface PackageManager {
    name: string;
    label: string;
    installCommand: string;
    buildCommand: string;
    runScriptCommand: string;
    flags: string;
    forceInstallFlag: string;
    registry?: string;
    detect: () => boolean;
    addOverride: (pkgName: string, pkgVersion: string) => Promise<void>;
}
export declare const BUN: PackageManager;
export declare const DENO: PackageManager;
export declare const YARN_V1: PackageManager;
/** YARN V2/3/4 */
export declare const YARN_V2: PackageManager;
export declare const PNPM: PackageManager;
export declare const NPM: PackageManager;
export declare const packageManagers: PackageManager[];
/**
 * Exported only for testing.
 * DO NOT call this function directly!
 * Use `getPackageManger` instead.
 */
export declare function _detectPackageManger(managers?: PackageManager[]): PackageManager | null;
