"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.fulfillsVersionRange = void 0;
const semver_1 = require("semver");
function fulfillsVersionRange({ version, acceptableVersions, canBeLatest, }) {
    if (version === 'latest') {
        return canBeLatest;
    }
    let cleanedUserVersion, isRange;
    if ((0, semver_1.valid)(version)) {
        cleanedUserVersion = (0, semver_1.valid)(version);
        isRange = false;
    }
    else if ((0, semver_1.validRange)(version)) {
        cleanedUserVersion = (0, semver_1.validRange)(version);
        isRange = true;
    }
    return (
    // If the given version is a bogus format, this will still be undefined and we'll automatically reject it
    !!cleanedUserVersion &&
        (isRange
            ? (0, semver_1.subset)(cleanedUserVersion, acceptableVersions)
            : (0, semver_1.satisfies)(cleanedUserVersion, acceptableVersions)));
}
exports.fulfillsVersionRange = fulfillsVersionRange;
//# sourceMappingURL=semver.js.map