"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const vitest_1 = require("vitest");
const angular_wizard_1 = require("../../src/angular/angular-wizard");
(0, vitest_1.describe)('buildOutroMessage', () => {
    (0, vitest_1.it)('returns the correct outro message if example component was created', () => {
        (0, vitest_1.expect)((0, angular_wizard_1.buildOutroMessage)(true)).toMatchInlineSnapshot(`
      "
      Successfully installed the Sentry Angular SDK!

      You can validate your setup by starting your dev environment (ng serve) and throwing an error in the example component.

      Check out the SDK documentation for further configuration:
      https://docs.sentry.io/platforms/javascript/guides/angular/"
    `);
    });
    (0, vitest_1.it)('returns the correct outro message if example component creation was skipped', () => {
        (0, vitest_1.expect)((0, angular_wizard_1.buildOutroMessage)(false)).toMatchInlineSnapshot(`
      "
      Successfully installed the Sentry Angular SDK!

      Check out the SDK documentation for further configuration:
      https://docs.sentry.io/platforms/javascript/guides/angular/"
    `);
    });
});
//# sourceMappingURL=angular-wizard.test.js.map